mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true) On Mono the informations are only used to determine where will be stored the key pair when (and if) it is persisted.

Specifies flags that modify the behavior of the cryptographic service providers (CSP).

- Field
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags

  The flag provides temporary keys with more reliable cleanup. If this flag is not used, the common language runtime (CLR) generates a randomly named key when an RSA object is created. When the object is finalized or disposed of, the key is deleted. When impersonation is in effect, not explicitly calling Dispose can potentially create a problem. For example, if you use impersonation, create an RSA object, and do not dispose of it, the finalizer thread (which is not impersonating) can fail to delete the key, and then throws an exception. This exception is unhandled and can terminate the process. The resources allocated to the key are not recovered, resulting in a memory leak. The demand is suppressed by this flag.

  Create a temporary key that is released when the associated Rivest-Shamir-Adleman (RSA) object is closed. Do not use this flag if you want your key to be independent of the RSA object.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags

  Do not specify any settings.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags

  Prevent the CSP from displaying any user interface (UI) for this context.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags

  Allow a key to be exported for archival or recovery.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags To be added

  Use key information from the default key container.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags

  Use key information from the current key.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags To be added

  Use key information from the computer's key store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags

  Use key information that cannot be exported.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspProviderFlags

  Notify the user through a dialog box or another method when certain actions are attempting to use a key. This flag is not compatible with the flag.